# FAQ

## Where can I find the iAdvize public key?

* Please see [here](https://app.gitbook.com/o/JZY4lQs3jDfTFvrnCKnh/s/C3dwvuSeenw12Wd9Vfpf/~/changes/147/technologies/authenticated-messaging/web-backend-implementation/signature-and-encryption-detailed-process#iadvize-public-key-use-for-production).

## **My visitor is authenticated (a JWT is in the local storage) but I don’t have a padlock 🔒 on the desk of the agent** <a href="#id-01h821774ppnndj66er389rtmv" id="id-01h821774ppnndj66er389rtmv"></a>

* Be sure, when you are in an authenticated space of your website where the visitor authentication is enabled, to remove the usage of the \`extId\` system: [About the External ID usage (extId)](https://help.iadvize.com/hc/en-gb/articles/6047518326290-iAdvize-Authenticated-Messaging-web-backend-implementation#h_01GHGEWCPJR1RT7NQBW3DPCGJX)

## JWT not valid

* Ensure you set all the required claims with the right prefixes

```
{
	"https://iadvize.com/userId":"myuserid",
	"iss":"https://livechat.iadvize.com",
	"exp":1602060589
}
```

* Ensure the JWT is signed with the right algorithm

```
{
	"alg": "RS256"
}
```

* Ensure the JWE is encrypted with the right algorithm

```
{
	"enc": "A256GCM",
	"alg": "RSA-OAEP-256"
}
```

* Ensure you use the right private key and the right iAdvize public key. Ensure iAdvize set up your public key in your settings


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iadvize.dev/use-cases/visitor-experience/authenticated-messaging/web-backend-implementation/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
